%global major 5
%define libname %mklibname virt-sandbox %major
%define devname %mklibname -d virt-sandbox

%define libvirt_version 1.0.2


Name: libvirt-sandbox
Version: 0.6.0
Release: %mkrel 1
Summary: Libvirt application sandbox framework
Group: Development/Tools
License: LGPLv2+
URL: http://libvirt.org/
Source0: ftp://libvirt.org/libvirt/sandbox/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(libvirt-gobject-1.0) >= 0.2.1
BuildRequires: gobject-introspection-devel
BuildRequires: glibc-static-devel
# For /usr/bin/pod2man:
BuildRequires: perl
BuildRequires: intltool
BuildRequires: libselinux-devel
BuildRequires: glib2-devel >= 2.32.0
BuildRequires: pkgconfig(liblzma) >= 5.0.0
BuildRequires: zlib-devel >= 1.2.0
Requires: python-rpm
# For virsh lxc-enter-namespace command
Requires: libvirt-utils >= %{libvirt_version}
Requires: systemd >= 198
Requires: python3-gobject3
#Requires: libselinux-python
Requires: %{libname} = %{version}-%{release}

%package -n %libname
Group: Development/C
Summary: Libvirt application sandbox framework libraries
# So we get the full libvirtd daemon, not just client libs
Requires: %{mklibname virt 0} >= %{libvirt_version}

%package -n %devname
Group: Development/C
Summary: Libvirt application sandbox framework development files
Requires: %{libname} = %{version}-%{release}

%description
This package provides a command for running applications within
a sandbox using libvirt.

%description -n %libname
This package provides a framework for building application sandboxes
using libvirt.

%description -n %devname
This package provides development header files and libraries for
the libvirt sandbox

%prep
%setup -q

%build
%configure2_5x --enable-introspection
%make_build


%install
chmod a-x examples/*.py examples/*.pl examples/*.js
%make_install
rm -f $RPM_BUILD_ROOT%{_libdir}/libvirt-sandbox-1.0.a
rm -f $RPM_BUILD_ROOT%{_libdir}/libvirt-sandbox-1.0.la

%find_lang %{name}

%files -f %{name}.lang
%{_datadir}/bash-completion/completions/virt-sandbox-service
%config(noreplace) %{_sysconfdir}/cron.daily/virt-sandbox-service.logrotate
%dir %{_sysconfdir}/libvirt-sandbox/services
%{_bindir}/virt-sandbox
%{_bindir}/virt-sandbox-service
%{_libexecdir}/virt-sandbox-service-util
%{_mandir}/man1/virt-sandbox.1*
%{_mandir}/man1/virt-sandbox-service.1*
%dir %{_sysconfdir}/libvirt-sandbox
%dir %{_sysconfdir}/libvirt-sandbox/scratch
%config %{_sysconfdir}/libvirt-sandbox/scratch/README
%{_libexecdir}/libvirt-sandbox-init-common
%{_libexecdir}/libvirt-sandbox-init-lxc
%{_libexecdir}/libvirt-sandbox-init-qemu
%{_mandir}/man1/virt-sandbox-service-*.1*

%files -n %libname
%doc README COPYING AUTHORS ChangeLog NEWS
%{_libdir}/libvirt-sandbox-1.0.so.*
%{_libdir}/girepository-1.0/LibvirtSandbox-1.0.typelib

%files -n %devname
%doc examples/virt-sandbox.pl
%doc examples/virt-sandbox.py
%doc examples/virt-sandbox.js
%doc examples/virt-sandbox-mkinitrd.py
%{_libdir}/libvirt-sandbox-1.0.so
%{_libdir}/pkgconfig/libvirt-sandbox-1.0.pc
%dir %{_includedir}/libvirt-sandbox-1.0
%dir %{_includedir}/libvirt-sandbox-1.0/libvirt-sandbox
%{_includedir}/libvirt-sandbox-1.0/libvirt-sandbox/libvirt-sandbox.h
%{_includedir}/libvirt-sandbox-1.0/libvirt-sandbox/libvirt-sandbox-*.h
%{_datadir}/gir-1.0/LibvirtSandbox-1.0.gir
%{_datadir}/gtk-doc/html/Libvirt-sandbox



%changelog
* Sat Apr 23 2016 tv <tv> 0.6.0-1.mga6
+ Revision: 1005571
- imported package libvirt-sandbox

